SUBROUTINE PRVOL90
!use consts
use global
implicit none  
     
integer :: iminv,irun,imaxv,i,j


    IMINV=1
      IRUN=IMAX1
    8 CONTINUE
      IMAXV=MIN0(IRUN,12)+IMINV-1
      IRUN=IMAX1-IMAXV
      WRITE(LUW_DST,10) (RM(I),I=IMINV,IMAXV)
   10 FORMAT(20X,'R-DIST'/4X,'Z-DIST',F7.2,11F10.2)
      WRITE(LUW_DST,30)
   30 FORMAT(1X,120(1H-))
      DO 20 J=1,JMAX1
      WRITE(LUW_DST,15) ZM(J),(INVOL(I,J),I=IMINV,IMAXV)
   20 CONTINUE
   15 FORMAT(4X,F6.2,12I10)
      IF(IRUN.LE.0) GO TO 25
      IMINV=IMAXV+1
      GO TO 8
   25 CONTINUE
      WRITE(LUW_DST,30)


RETURN
END subroutine prvol90